package io.renren.modules.app.dao;

import io.renren.modules.app.entity.HKmEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XmEntity;
import io.renren.modules.app.entity.XmEntity2;
import io.renren.modules.app.entity.XqxxEntity;
import io.renren.modules.app.entity.YwpzEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 楼盘信息（开发项目）
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-26 09:38:36
 */
@Mapper
public interface XmDao extends BaseMapper<XmEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param xmEntity
	 * @return
	 */
	List<XmEntity2> queryByPage(XmEntity xmEntity);

	// 左上角小区名称下拉框数据展示
	List<XqxxEntity> selectxqmcxx();

	List<XlkEntity> selectxlkgj();

	List<XlkEntity> selectxlkdw();

	List<XlkEntity> selectxlkxq();

	// 新增
	void insertxm(XmEntity xmEntity);

	String queryxmbm();

	XmEntity maxkmbm();

	void insertkm(HKmEntity hKmEntity);

	void insertfzhsye(YwpzEntity ywpzEntity);
	
	void deletefzhsyexmbm(String id);
	
	String selectmaxkjqj();
	
	String selectmaxkjqj2();
}
